package uhupoly;


public class Penalizacion extends Casilla {
    private float cantidad;

    public Penalizacion(float cant) {
        cantidad = cant;
    }

    public float getCantidad() {
        return cantidad;
    }

    public void setCantidad(float val) {
        this.cantidad = val;
    }
    
    public boolean accion(Jugador jugadorActual, Juego juego) {
    
        // comprobar si tiene capital suficiente en dinero. De ser as,
        // mostrar aqu la obligacin de tener que hipotecar.
        
        while (!jugadorActual.tieneEfectivo(this.getCantidad()))
        {
            if (jugadorActual.estaArruinado(this.getCantidad()))
            {
                jugadorActual.entregarTodoA(null, juego);
                juego.getObservador().muestraArruinado(jugadorActual);
                juego.getObservador().muestraTerminarTurno();
                return false;
            }
            else juego.getObservador().muestraSinDinero(jugadorActual, this.getCantidad());
        }
                
        // restar al capital
        jugadorActual.setCapital(jugadorActual.getCapital() - this.getCantidad());
            
        // notifica operacin
        juego.getObservador().muestraInformacion("<html>Pagas un impuesto por valor de <b>" + this.getCantidad() + "</b>");
        
        jugadorActual.setPosicion(this);
        
        return true;
    
    }
}
