package uhupoly;
/*
 * ObservadorTablero.java
 *
 * Created on 25 de diciembre de 2007, 16:01
 */

/**
 *
 * @author Pandre
 */
public interface ObservadorTablero {
    
    public void mostrarLogotipo(boolean aclarado);
    public void actualizaCasilla(Casilla cas);
    public void muestraTurnoLanzar(String nombre);
    public void muestraMensaje(String mensaje);
    public void muestraMensajeSecundario(String mensaje);
    public void muestraInformacion(String mensaje);
    public void muestraTirada(int dado1, int dado2);
    public void muestraTerminarTurno();
    public void activaOpciones();
    public void muestraOpcionCompra(Casilla casilla, Jugador jugadorActual, Juego juego);
    public void muestraOpcionSubasta(Casilla casilla, Juego juego);
    public void muestraJugadores(Juego juego);
    public void actualizaJugador(Jugador jugador);
    public void muestraSinDinero(Jugador jugadorActual, float cantidad);
    public void muestraArruinado(Jugador jugadorActual);
    public void muestraFinDelJuego(Juego juego, Jugador jugador);
    
}
